sepol_check_context(3)

NAME
sepol_check_context - Check the validity of a security context against a binary policy.

SYNOPSIS
#include <sepol/sepol.h>

int sepol_check_context(const char *context);

int sepol_set_policydb_from_file(FILE *fp);

DESCRIPTION
sepol_check_context checks the validity of a security context against a binary policy previously loaded from a file via sepol_set_policydb_from_file. It is used by setfiles -c to validate a file contexts configuration against the binary policy upon policy builds. For validating a context against the active policy on a SELinux system, use security_check_context from libselinux instead.

RETURN VALUE
Returns 0 on success or -1 with errno set otherwise.